Create or update a custom field definition
Idempotently creates or updates the custom field identified by `record_type` and `key`. For `enum` and `multi-select` fields, new `enum_values` are merged into the existing options.
Idempotently creates or updates the custom field identified by record_type and key. For enum and multi-select fields, new enum_values are merged into the existing options.
Authorization
apiKey In: header
Path Parameters
Stable machine key (lowercase letters, digits and underscores). Used as the key in custom_fields payloads.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/fields/contacts/contact_type" \ -H "Content-Type: application/json" \ -d '{ "display_name": "Contact Type", "data_type": "enum" }'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"record_type": "accounts",
"key": "string",
"display_name": "string",
"description": "string",
"data_type": "text",
"enum_values": [
"string"
],
"is_custom": true,
"created_at": "2019-08-24T14:15:22Z"
},
"created": true
}{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"record_type": "accounts",
"key": "string",
"display_name": "string",
"description": "string",
"data_type": "text",
"enum_values": [
"string"
],
"is_custom": true,
"created_at": "2019-08-24T14:15:22Z"
},
"created": true
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}